#ifndef DEVICE_CTRL_HK_VIDICON_H
#define DEVICE_CTRL_HK_VIDICON_H
#include "vidicon.h"

namespace zsy
{
    class HKVidicon : public Vidicon
    {
    public:
        explicit HKVidicon(const VidiconConfig &config);

        std::string photograph() override;

        ~HKVidicon() override = default;
    };
} // zsy

#endif //DEVICE_CTRL_HK_VIDICON_H